Page MenuHomePhabricator

Warning: preg_match() expects parameter 2 to be string, array given in /srv/mediawiki/php-1.31.0-wmf.8/extensions/Wikidata/extensions/Constraints/includes/ConstraintCheck/Helper/SparqlHelper.php on line 462
Closed, ResolvedPublic

Description

This occurred while switching wikidatawiki from .6/.7 to .8 of the Wikidata build extension.

It looks like this was the reason from the rollback to .7 for wikidatawiki

@ logstash https://logstash.wikimedia.org/goto/3843471317c78472ab662ef50f43b702

Warning: preg_match() expects parameter 2 to be string, array given in /srv/mediawiki/php-1.31.0-wmf.8/extensions/Wikidata/extensions/Constraints/includes/ConstraintCheck/Helper/SparqlHelper.php on line 462

Event Timeline

Addshore created this task.Nov 16 2017, 9:23 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 16 2017, 9:23 AM
Addshore triaged this task as High priority.Nov 16 2017, 9:23 AM
Addshore added a subscriber: Lucas_Werkmeister_WMDE.
Addshore updated the task description. (Show Details)
Addshore added a subscriber: demon.

Change 391782 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Fix SparqlHelper::getCacheMaxAge()

https://gerrit.wikimedia.org/r/391782

Change 391782 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Fix SparqlHelper::getCacheMaxAge()

https://gerrit.wikimedia.org/r/391782

Change 391785 had a related patch set uploaded (by Addshore; owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Add rudimentary WBQC configuration on testwikidatawiki

https://gerrit.wikimedia.org/r/391785

Change 391787 had a related patch set uploaded (by Addshore; owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.31.0-wmf.8] Fix SparqlHelper::getCacheMaxAge()

https://gerrit.wikimedia.org/r/391787

Change 391790 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikidata@wmf/1.31.0-wmf.8] Manually applied: Fix SparqlHelper::getCacheMaxAge()

https://gerrit.wikimedia.org/r/391790

Change 391785 merged by jenkins-bot:
[operations/mediawiki-config@master] Add rudimentary WBQC configuration on testwikidatawiki

https://gerrit.wikimedia.org/r/391785

Change 391793 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Fix WBQC configuration for testwikidatawiki

https://gerrit.wikimedia.org/r/391793

Change 391793 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix WBQC configuration for testwikidatawiki

https://gerrit.wikimedia.org/r/391793

Mentioned in SAL (#wikimedia-operations) [2017-11-16T11:37:22Z] <addshore@tin> Synchronized wmf-config/Wikibase-production.php: testwikidata only, T180665, WBQC configuration for testwikidatawiki (duration: 00m 49s)

With the above config changes we managed to reproduce this on testwikidata!
Going for the bcakport now...

Change 391787 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.31.0-wmf.8] Fix SparqlHelper::getCacheMaxAge()

https://gerrit.wikimedia.org/r/391787

Change 391790 merged by jenkins-bot:
[mediawiki/extensions/Wikidata@wmf/1.31.0-wmf.8] Manually applied: Fix SparqlHelper::getCacheMaxAge()

https://gerrit.wikimedia.org/r/391790

Mentioned in SAL (#wikimedia-operations) [2017-11-16T11:58:04Z] <addshore@tin> Synchronized php-1.31.0-wmf.8/extensions/WikibaseQualityConstraints: T180665 [[gerrit:391787|Fix SparqlHelper::getCacheMaxAge()]] (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2017-11-16T12:03:01Z] <addshore@tin> Synchronized php-1.31.0-wmf.8/extensions/Wikidata/extensions/Constraints: T180665 [[gerrit:391790|Manually applied: Fix SparqlHelper::getCacheMaxAge()]] (duration: 00m 52s)

Addshore closed this task as Resolved.Nov 16 2017, 12:06 PM

Should now be fixed on both .8 branches for the build and the extension itself.
Can no longer reproduce on testwikidata

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM